package com.steering.mes.mcp.entity;

/**
 * 数据库表HTT_REPORT_DEFAULT所对应的实体类（生成工具：代码生成工具4.0   访问地址：http://172.16.2.128/tool/）
 * @author tgcx-test   date 2018-07-09
 */
@SuppressWarnings("serial")
public class HttReportDefaultEntity implements java.io.Serializable {
    /**
     * 产线代码
     */
    private String plineCode = "";
    /**
     * 报表模板 0-机探 1-手探
     */
    private String reportNo = "";
    /**
     * 字段名
     */
    private String reportColumn = "";
    /**
     * 字段类型 0- 文字默认  1-下拉框只选   2-下拉框加可手动输入 99-特定类型
     */
    private String columnType = "";
    /**
     * 文字默认的值
     */
    private String textDefault = "";
    /**
     * 下拉框对应的基础信息
     */
    private String droplistDefult = "";
    /**
     * 用户使用的下拉框值
     */
    private String droplistUsed = "";
    /**
     * 序号
     */
    private String reportSeq = "";
    /**
     * 0: 隐藏 1:显示
     */
    private String columnVisible = "";


    private String checkNull ="";
    /**
     * 位置X
     */
    private String originX = "";
    /**
     * 位置Y
     */
    private String originY = "";
    /**
     * 跨度X
     */
    private String spanX = "";
    /**
     * 跨度Y
     */
    private String spanY = "";
    /**
     * 输入框宽
     */
    private String cellSizeWidth = "";
    /**
     * 输入框高
     */
    private String cellSizeHigh = "";
    /**
     * 标签宽
     */
    private String labelSizeWidth = "";
    /**
     * 标签高
     */
    private String labelSizeHigh = "";

    /**
     * 产线代码
     * @return value
     */
    public String getPlineCode() {
        return plineCode;
    }

    /**
     * 产线代码
     * @param plineCode value
     */
    public void setPlineCode(String plineCode) {
        this.plineCode = plineCode;
    }

    /**
     * 报表模板 0-机探 1-手探
     * @return value
     */
    public String getReportNo() {
        return reportNo;
    }

    /**
     * 报表模板 0-机探 1-手探
     * @param reportNo value
     */
    public void setReportNo(String reportNo) {
        this.reportNo = reportNo;
    }

    /**
     * 字段名
     * @return value
     */
    public String getReportColumn() {
        return reportColumn;
    }

    /**
     * 字段名
     * @param reportColumn value
     */
    public void setReportColumn(String reportColumn) {
        this.reportColumn = reportColumn;
    }

    /**
     * 字段类型 0- 文字默认  1-下拉框只选   2-下拉框加可手动输入 99-特定类型
     * @return value
     */
    public String getColumnType() {
        return columnType;
    }

    /**
     * 字段类型 0- 文字默认  1-下拉框只选   2-下拉框加可手动输入 99-特定类型
     * @param columnType value
     */
    public void setColumnType(String columnType) {
        this.columnType = columnType;
    }

    /**
     * 文字默认的值
     * @return value
     */
    public String getTextDefault() {
        return textDefault;
    }

    /**
     * 文字默认的值
     * @param textDefault value
     */
    public void setTextDefault(String textDefault) {
        this.textDefault = textDefault;
    }

    /**
     * 下拉框对应的基础信息
     * @return value
     */
    public String getDroplistDefult() {
        return droplistDefult;
    }

    /**
     * 下拉框对应的基础信息
     * @param droplistDefult value
     */
    public void setDroplistDefult(String droplistDefult) {
        this.droplistDefult = droplistDefult;
    }

    /**
     * 用户使用的下拉框值
     * @return value
     */
    public String getDroplistUsed() {
        return droplistUsed;
    }

    /**
     * 用户使用的下拉框值
     * @param droplistUsed value
     */
    public void setDroplistUsed(String droplistUsed) {
        this.droplistUsed = droplistUsed;
    }

    /**
     * 序号
     * @return value
     */
    public String getReportSeq() {
        return reportSeq;
    }

    /**
     * 序号
     * @param reportSeq value
     */
    public void setReportSeq(String reportSeq) {
        this.reportSeq = reportSeq;
    }

    /**
     * 0: 隐藏 1:显示
     * @return value
     */
    public String getColumnVisible() {
        return columnVisible;
    }

    /**
     * 0: 隐藏 1:显示
     * @param columnVisible value
     */
    public void setColumnVisible(String columnVisible) {
        this.columnVisible = columnVisible;
    }


    /**
     *
     * @return value
     */
    public String getCheckNull() {
        return checkNull;
    }

    /**
     * 0: 隐藏 1:显示
     * @param checkNull value
     */
    public void setCheckNull(String checkNull) {
        this.checkNull = checkNull;
    }

    /**
     * 位置X
     * @return value
     */
    public String getOriginX() {
        return originX;
    }

    /**
     * 位置X
     * @param originX value
     */
    public void setOriginX(String originX) {
        this.originX = originX;
    }

    /**
     * 位置Y
     * @return value
     */
    public String getOriginY() {
        return originY;
    }

    /**
     * 位置Y
     * @param originY value
     */
    public void setOriginY(String originY) {
        this.originY = originY;
    }

    /**
     * 跨度X
     * @return value
     */
    public String getSpanX() {
        return spanX;
    }

    /**
     * 跨度X
     * @param spanX value
     */
    public void setSpanX(String spanX) {
        this.spanX = spanX;
    }

    /**
     * 跨度Y
     * @return value
     */
    public String getSpanY() {
        return spanY;
    }

    /**
     * 跨度Y
     * @param spanY value
     */
    public void setSpanY(String spanY) {
        this.spanY = spanY;
    }

    /**
     * 输入框宽
     * @return value
     */
    public String getCellSizeWidth() {
        return cellSizeWidth;
    }

    /**
     * 输入框宽
     * @param cellSizeWidth value
     */
    public void setCellSizeWidth(String cellSizeWidth) {
        this.cellSizeWidth = cellSizeWidth;
    }

    /**
     * 输入框高
     * @return value
     */
    public String getCellSizeHigh() {
        return cellSizeHigh;
    }

    /**
     * 输入框高
     * @param cellSizeHigh value
     */
    public void setCellSizeHigh(String cellSizeHigh) {
        this.cellSizeHigh = cellSizeHigh;
    }

    /**
     * 标签宽
     * @return value
     */
    public String getLabelSizeWidth() {
        return labelSizeWidth;
    }

    /**
     * 标签宽
     * @param labelSizeWidth value
     */
    public void setLabelSizeWidth(String labelSizeWidth) {
        this.labelSizeWidth = labelSizeWidth;
    }

    /**
     * 标签高
     * @return value
     */
    public String getLabelSizeHigh() {
        return labelSizeHigh;
    }

    /**
     * 标签高
     * @param labelSizeHigh value
     */
    public void setLabelSizeHigh(String labelSizeHigh) {
        this.labelSizeHigh = labelSizeHigh;
    }


    public String getMachineNo() {
        return machineNo;
    }

    public void setMachineNo(String machineNo) {
        this.machineNo = machineNo;
    }

    private String machineNo="";
}